Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions
memcmp.c File Reference
`#include "ruby/missing.h"`
`#include <stddef.h>`

Go to the source code of this file.

## Functions
int | memcmp (const void *s1, const void *s2, size_t len)

## Function Documentation

## ◆ memcmp()

int memcmp | ( | const void * | s1,
|  | const void * | s2,
|  | size_t | len
| ) |  |

Definition at line 7 of file memcmp.c.

References len, and s2.

Referenced by rb_memsearch(), rb_str_cmp(), rb_str_hash_cmp(), rsock_family_to_int(), rsock_ip_level_to_int(), rsock_ip_optname_to_int(), rsock_ipproto_to_int(), rsock_scm_optname_to_int(), rsock_shutdown_how_to_int(), rsock_so_optname_to_int(), rsock_socktype_to_int(), rsock_tcp_optname_to_int(), rsock_udp_optname_to_int(), and rsock_unknown_level_to_int().